function distribution_test(type)
%Type=Low,High,Mean

tmp = ['C:\Matlab\V-Didaktoriko\Lefteris\'];
cd(tmp);
tmp = ['O_F_C_Tangs_' type];
load(tmp);
tmp=['C:\Matlab\work\Tangents\' type];
cd(tmp);
categ = {'Controls' 'OCD' 'FES'};

%confidence level
cl=0.1;
strcl = num2str(cl);

for k=1:length(categ)
    clear TEMPARR;
    if k==1
        TEMPARR = C_Tangs;
        txtfilename = ['C_normality_' type '.txt'];
    elseif k==2
        TEMPARR = O_Tangs;
        txtfilename = ['O_normality_' type '.txt'];
    else
        TEMPARR = F_Tangs;
        txtfilename = ['F_normality_' type '.txt'];
    end
    %open text file for appending data
    txtfile = fopen(txtfilename,'at');
    %---------------------------------
    for i=1:size(TEMPARR,1) %for teh number of subjects in each category
        clear test testtot;
        %string conversions
        istr = int2str(i);
        if i<10
            istr = ['0' istr];
        end
        %------------------
        for j=1:15 %for teh 15 leads
            testtot(511*(j-1)+1:511*j) = TEMPARR(i,j,:);
            test = TEMPARR(i,j,:);
            %test = sort(test);
            %Kolmogorov Smirnov for each node (of one subject)
            [h p k c] = kstest(test,[],cl,0);
            if h==0 %if we don't reject the normality hypothesis
                decstr = ['  normality NOT REJECTED'];
            else
                decstr = ['  normality REJECTED    '];
            end
            %conversions
            jstr = int2str(j+1);
            if j<9
                jstr = ['0' jstr];
            end
            pstr = num2str(p);
            %-----------
            tmp_info_str = ['Subject: ' istr '  lead: ' jstr decstr '  p=' pstr ' a=' strcl '\n'];
            fprintf(txtfile,tmp_info_str);
            %--------------------------------
        end
        %testtot = sort(testtot);
        %Kolmogorov Smirnov for all nodes (of one subject)
        [h p k c] = kstest(testtot,[],cl,0);
        if h==0 %if we don't reject the normality hypothesis
            decstr = ['  normality NOT REJECTED'];
        else
            decstr = ['  normality REJECTED    '];
        end
        %conversions
        pstr = num2str(p);
        %-----------
        tmp_info_str = ['Subject: ' istr '  lead:ALL' decstr '  p=' pstr ' a=' strcl '\n'];
        fprintf(txtfile,tmp_info_str);
    end
    fclose(txtfile);
end
